StandardSessionIdGenerator (Apache Tomcat 9.0.22 API Documentation)

org.apache.catalina.util

## Class StandardSessionIdGenerator

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.SessionIdGeneratorBase
    - - org.apache.catalina.util.StandardSessionIdGenerator

- All Implemented Interfaces:
    Lifecycle, SessionIdGenerator

      public class StandardSessionIdGenerator
      extends SessionIdGeneratorBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

      `Lifecycle.SingleUse`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardSessionIdGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generateSessionId(java.lang.String route)` Generate and return a new session identifier.

    - ### Methods inherited from class org.apache.catalina.util.SessionIdGeneratorBase

      `destroyInternal, generateSessionId, getJvmRoute, getRandomBytes, getSecureRandomAlgorithm, getSecureRandomClass, getSecureRandomProvider, getSessionIdLength, initInternal, setJvmRoute, setSecureRandomAlgorithm, setSecureRandomClass, setSecureRandomProvider, setSessionIdLength, startInternal, stopInternal`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardSessionIdGenerator

          public StandardSessionIdGenerator()

  - ### Method Detail

    - #### generateSessionId

          public java.lang.String generateSessionId(java.lang.String route)

      Description copied from interface: `SessionIdGenerator`
      Generate and return a new session identifier.
      Parameters:
        `route` - node identifier to include in generated id
      Returns:
        the newly generated session id

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.